=== korganizer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer_plugins\")
add_subdirectory(emailaddressselectionldapdialog)
