=== akonadi-import-wizard/oe/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(oeimporter_SRCS
   oeimportdata.cpp  
)

kcoreaddons_add_plugin(oeimporterplugin SOURCES
    ${oeimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(oeimporterplugin
  KPim6::ImportWizard
  KF6::XmlGui
  KF6::I18n
  KF6::Contacts
  KPim6::MailImporterAkonadi
  KPim6::MailTransport
  KPim6::IdentityManagementCore
  KPim6::MailCommon
)
