## kdepim-addons 25.07.80

=== debian/changelog ===
kdepim-addons (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:40:58 +0100

kdepim-addons (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:41:40 +0100

kdepim-addons (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:43:25 +0100

kdepim-addons (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:05:16 +0100

kdepim-addons (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on libkf6kcmutils-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:47:48 +0100

kdepim-addons (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Mar 2025 10:05:37 +0000

kdepim-addons (24.12.2-1ubuntu1) plucky; urgency=medium

  * Do not build adblock plugin for now. FTBFS.

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 17:29:55 +0000
